Subject: Re: bug#18195: 24.3.92; window-screen-lines is not accurate

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Aug 2014 17:09:10 +0300

> Date: Tue, 05 Aug 2014 15:57:57 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > He can't: we currently don't expose enough information for Lisp
>  > programs to perform layout.  E.g., the metrics of glyphs and lines
>  > that use arbitrary fonts and display images are not easily available
>  > on the Lisp level, and neither are dimensions and line counts of
>  > arbitrary regions of the screen (although you could write some clunky
>  > Lisp to do the latter).  Likewise with dimensions of text in overlays
>  > and display properties, and with images.
>  >
>  > This was never supposed to be needed, and thus was never designed and
>  > implemented.  If we want to allow such jobs from Lisp, we need to
>  > close these gaps.
> 
> Why would `window-text-pixel-size' fail to provide that?

Because there's no way of calculating the pixel size of arbitrary text
(in this case: the list of completion candidates to be popped up
overlaid on the buffer text), except if that text is displayed in some
window.

> It might be a bit clumsy to work with because you have to
> temporarily show another buffer in its window

That _is_ the problem.  Momentarily flashing some text in some window
is not my idea of a good application.  It simply looks like a bug.